"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeMenuItemToMenu = void 0;
const addMenuItemToMenu_1 = require("../../../building-blocks/stages/writing/pieces/route/addMenuItemToMenu");
function writeMenuItemToMenu(gen, appMenuPath, route, componentName) {
    if (!gen.fs.exists(appMenuPath)) {
        gen.log(`Unable to add component to menu, app menu file not found in path '${appMenuPath}'`);
    }
    else {
        const appMenuContents = gen.fs.read(appMenuPath);
        const appMenuTransformed = addMenuItemToMenu_1.addMenuItemToMenu(appMenuContents, route, componentName);
        gen.fs.write(appMenuPath, appMenuTransformed);
        gen.log(`Menu item '${componentName}' added to menu in '${appMenuPath}'`);
    }
}
exports.writeMenuItemToMenu = writeMenuItemToMenu;
//# sourceMappingURL=writeMenuItemToMenu.js.map